// Get all dom elements that contain the class 'collapsible'
// and put them into the coll array.
var coll = document.getElementsByClassName("collapsible");
var i;

// Loop through each element in the coll array
for (i = 0; i < coll.length; i++) {
	
  // Add a 'click' event listener to each element in the coll array	
  coll[i].addEventListener("click", function() {
	  
	// Toggles the dom element's classList to add or remove 'active' on each click 
    this.classList.toggle("active");
	
	// Get the dom elements sibling
    var content = this.nextElementSibling;
	
	// If the sibling's style contains a maxHeight entry, then set it to null
    if (content.style.maxHeight){
      content.style.maxHeight = null;
	  
	// If the sibling's style does not contain a maxHeight entry, then add and set the maxHeight to the scrollHeight
    } else {
      content.style.maxHeight = content.scrollHeight + "px";
    } 
  });
}